API references
Merchant API

Find batch

Retrieve a batch by ID, including its current status, any prepare or processing error, the preview download URL when prepare has completed, and the result download URL when processing has completed.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/find-batch HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
batch_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
batch_id string

Required. The unique identifier of the batch (bat_...).

Response attributes
Attribute Description
batch_id
string

Always present. The unique identifier of the batch.

type
string

Always present. The type of records in this batch.

Possible values:
  • PAYMENT_LINK
  • PAYOUT
status
string

Always present. The current processing status of the batch.

Possible values:
  • CREATED
  • PREPARING
  • PREPARED
  • PROCESSING
  • COMPLETED
output_url
string

Nullable. The URL to download the result xlsx file. Present when the batch has completed.

preview_url
string

Nullable. The URL to download the validated drafts JSON. Included after prepare has completed.

error_message
string

Nullable. The failure reason when prepare or processing did not complete. Included when a background job failed.

created_at
number

Always present. The timestamp when the batch was created.

Errors specific to this endpoint
NOT_FOUND

The batch was not found.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.